import axiosInstance from "@/config/axios";

export interface AboutUsItem {
  _id: string;
  title: string;
  description: string;
  imageUrl: string;
  createdAt: string;
  updatedAt: string;
}

export interface AboutUsResponse {
  status: number;
  success: boolean;
  results: {
    aboutUs: AboutUsItem[];
  };
}

export class AboutService {
  static async getAboutUs(): Promise<AboutUsResponse> {
    const response = await axiosInstance.get<AboutUsResponse>("/about-us");
    return response.data;
  }
}
